## visad.util
Class SelectRangeWidget

    java.lang.Object
      java.awt.Component
          visad.browser.RangeSlider
              visad.util.RangeSlider
                  visad.util.SelectRangeWidget

All Implemented Interfaces:
  ControlListener, EventListener, ImageObserver, MenuContainer, MouseListener, MouseMotionListener, ScalarMapListener, Serializable

public class SelectRangeWidget
extends RangeSlider
implements ScalarMapListener, ControlListener

A slider widget that allows users to select a lower and upper bound.

See Also:
  Serialized Form

Nested Class Summary

Nested classes inherited from class java.awt.Component
`Component.AccessibleAWTComponent, Component.BltBufferStrategy, Component.FlipBufferStrategy`

Field Summary

Fields inherited from class visad.browser.RangeSlider
`DEFAULT_NAME, FONT_BOTTOM_Y, FONT_HEIGHT, FONT_TOP_Y, GRIP_BOTTOM_Y, GRIP_HEIGHT, GRIP_MIDDLE_Y, GRIP_TOP_Y, GRIP_WIDTH, lSlideMoved, maxGrip, maxLimit, maxSize, maxValue, minGrip, minLimit, minSize, minValue, prefSize, rSlideMoved, SLIDER_LINE_HEIGHT, SLIDER_LINE_WIDTH, SLIDER_PREF_HEIGHT, SLIDER_PREF_WIDTH, textChanged`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Fields inherited from interface java.awt.image.ImageObserver
`ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

Constructor Summary
`SelectRangeWidget(ScalarMap smap)` this will be labeled with the name of smap's RealType, and the range of RealType values defining the bounds of the selectable range is taken from smap.getRange().
`SelectRangeWidget(ScalarMap smap, boolean update)` this will be labeled with the name of smap's RealType, and the range of RealType values defining the bounds of the selectable range is taken from smap.getRange().
`SelectRangeWidget(ScalarMap smap, float min, float max)` Deprecated. - set range in map instead
`SelectRangeWidget(ScalarMap smap, float min, float max, boolean update)` Deprecated. - set range in map instead

Method Summary
`void` `controlChanged(ControlEvent e)` ControlListener method for RangeControl
`void` `controlChanged(ScalarMapControlEvent evt)` ScalarMapListener method used to detect new control.
`void` `mapChanged(ScalarMapEvent e)` ScalarMapListener method used with delayed auto-scaling.
`void` `valuesUpdated()` tell parent when the value changes

Methods inherited from class visad.util.RangeSlider
`nameOf`

Methods inherited from class visad.browser.RangeSlider
`getMaximumSize, getMinimumSize, getMinMaxValues, getPreferredSize, gripToValue, main, mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, paint, repaint, resetValues, setBounds, setBounds, setMaximumSize, setMinimumSize, setName, setPreferredSize, setValues, valueToGrip`

Methods inherited from class java.awt.Component

`action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, deliverEvent, disable, disableEvents, dispatchEvent, doLayout, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getAlignmentX, getAlignmentY, getBackground, getBounds, getBounds, getColorModel, getComponentAt, getComponentAt, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeys, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, invalidate, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusCycleRoot, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, layout, list, list, list, list, list, locate, location, lostFocus, minimumSize, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, paramString, postEvent, preferredSize, prepareImage, prepareImage, print, printAll, processComponentEvent, processEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removeNotify, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, setBackground, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusable, setFocusTraversalKeys, setFocusTraversalKeysEnabled, setFont, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle, update, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SelectRangeWidget

    public SelectRangeWidget(ScalarMap smap)
                      throws VisADException,
                             RemoteException

  this will be labeled with the name of smap's RealType, and the range of RealType values defining the bounds of the selectable range is taken from smap.getRange(). This allows a SelectRangeWidget to be used with a range of values defined by auto-scaling from displayed Data. If smap's range values are not available at the time this constructor is invoked, the SelectRangeWidget becomes a ScalarMapListener and sets its range when smap's range is set. The DisplayRealType of smap must be Display.SelectRange and should already be added to a Display.

### SelectRangeWidget

    public SelectRangeWidget(ScalarMap smap,
                             float min,
                             float max)
                      throws VisADException,
                             RemoteException

  Deprecated. - set range in map instead

  this will be labeled with the name of smap's RealType, and the range of RealType values (min, max) defines the bounds of the selectable range. The DisplayRealType of smap must be Display.SelectRange and should already be added to a Display.

### SelectRangeWidget

    public SelectRangeWidget(ScalarMap smap,
                             float min,
                             float max,
                             boolean update)
                      throws VisADException,
                             RemoteException

  Deprecated. - set range in map instead

  construct a SelectRangeWidget linked to the Control in the map (which must be to Display.SelectRange), with range of values (min, max) and specified auto-scaling behavior.

### SelectRangeWidget

    public SelectRangeWidget(ScalarMap smap,
                             boolean update)
                      throws VisADException,
                             RemoteException

  this will be labeled with the name of smap's RealType, and the range of RealType values defining the bounds of the selectable range is taken from smap.getRange(). This allows a SelectRangeWidget to be used with a range of values defined by auto-scaling from displayed Data. If smap's range values are not available at the time this constructor is invoked, the SelectRangeWidget becomes a ScalarMapListener and sets its range when smap's range is set. The DisplayRealType of smap must be Display.SelectRange and should already be added to a Display.

Method Detail

### mapChanged

    public void mapChanged(ScalarMapEvent e)

  ScalarMapListener method used with delayed auto-scaling.

  Specified by:
    `mapChanged` in interface `ScalarMapListener`
  Parameters:
    `e` - the event

### controlChanged

    public void controlChanged(ScalarMapControlEvent evt)
                        throws RemoteException,
                               VisADException

  ScalarMapListener method used to detect new control.

  Specified by:
    `controlChanged` in interface `ScalarMapListener`
  Parameters:
    `evt` - the event
  Throws:
    `VisADException` - If there is a problem notifying this listener.
    `RemoteException` - If there was an RMI-related problem.

### valuesUpdated

    public void valuesUpdated()

  tell parent when the value changes

  Overrides:
    `valuesUpdated` in class `RangeSlider`

### controlChanged

    public void controlChanged(ControlEvent e)
                        throws VisADException,
                               RemoteException

  ControlListener method for RangeControl

  Specified by:
    `controlChanged` in interface `ControlListener`
  Throws:
    `VisADException`
    `RemoteException`